Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class DivideValue

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.MathValue
            |
            +--com.solarmetric.rd.kodo.query.exp.DivideValue

All Implemented Interfaces:
  InMemoryValue, Value

public class DivideValue
extends MathValue

Value produced by one value being divided by another.

Constructor Summary
`DivideValue(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1, com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)` Constructor.

Method Summary
`java.lang.Object` | `evaluate(java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Evaluate the given candidate.

Methods inherited from class com.solarmetric.rd.kodo.query.exp.MathValue
`castTo, getValue1, getValue2, isVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DivideValue

    public DivideValue(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1,
                       com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)

  Constructor. Provide the values to divide.

Method Detail

### evaluate

    public java.lang.Object evaluate(java.lang.Object candidate,
                                     java.lang.Object orig,
                                     com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                                     java.util.Map params)

  Description copied from interface: `InMemoryValue`
  Evaluate the given candidate.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.